<Project Sdk="Microsoft.NET.Sdk">
	
	
	
	<PropertyGroup>

		<TargetFrameworks>net7.0-android</TargetFrameworks>
		<TargetFrameworks Condition="$([MSBuild]::IsOSPlatform('windows'))">$(TargetFrameworks);net7.0-windows10.0.19041.0</TargetFrameworks>
		<TargetFrameworks Condition="$([MSBuild]::IsOSPlatform('ios'))">$(TargetFrameworks);net7.0-ios</TargetFrameworks>
		<TargetFrameworks Condition="$([MSBuild]::IsOSPlatform('maccatalyst'))">$(TargetFrameworks);net7.0-maccatalyst</TargetFrameworks>
		<!-- Uncomment to also build the tizen app. You will need to install tizen by following this: https://github.com/Samsung/Tizen.NET -->
		<!-- <TargetFrameworks>$(TargetFrameworks);net7.0-tizen</TargetFrameworks> -->
		<OutputType>Exe</OutputType>
		<RootNamespace>GameAtlas</RootNamespace>
		<UseMaui>true</UseMaui>
		<SingleProject>true</SingleProject>
		<ImplicitUsings>enable</ImplicitUsings>

		<!-- Display name -->
		<ApplicationTitle>GameAtlas</ApplicationTitle>

		<!-- App Identifier -->
		<ApplicationId>com.iut-clermont-auvergne.gameatlas</ApplicationId>
		<ApplicationIdGuid>a4373575-ecb5-4bcd-9c57-7366fb6946a7</ApplicationIdGuid>

		<!-- Versions -->
		<ApplicationDisplayVersion>1.0</ApplicationDisplayVersion>
		<ApplicationVersion>1</ApplicationVersion>

		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'ios'">11.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'maccatalyst'">13.1</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'android'">21.0</SupportedOSPlatformVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</SupportedOSPlatformVersion>
		<TargetPlatformMinVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'windows'">10.0.17763.0</TargetPlatformMinVersion>
		<SupportedOSPlatformVersion Condition="$([MSBuild]::GetTargetPlatformIdentifier('$(TargetFramework)')) == 'tizen'">6.5</SupportedOSPlatformVersion>
	</PropertyGroup>
	
	
	
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Debug|net7.0-android|AnyCPU'" />
	
	
	
	<PropertyGroup Condition="'$(Configuration)|$(TargetFramework)|$(Platform)'=='Release|net7.0-android|AnyCPU'" />

	<ItemGroup>
		<!-- App Icon -->
		<MauiIcon Include="Resources\AppIcon\appicon.png" />

		<!-- Splash Screen -->
		<MauiSplashScreen Include="Resources\Splash\logosplash.png" Color="#312F2F" />

		<!-- Images -->
		<MauiImage Include="Resources\Images\*" />

		<!-- Custom Fonts -->
		<MauiFont Include="Resources\Fonts\*" />

		<!-- Raw Assets (also remove the "Resources\Raw" prefix) -->
		<MauiAsset Include="Resources\Raw\**" LogicalName="%(RecursiveDir)%(Filename)%(Extension)" />
	</ItemGroup>

	<ItemGroup>
	  <None Remove="Resources\Fonts\PTSansCaption-Bold.ttf" />
	  <None Remove="Resources\Fonts\PTSansCaption-Regular.ttf" />
	  <None Remove="Resources\Fonts\PTSansNarrow-Bold.ttf" />
	  <None Remove="Resources\Fonts\PTSansNarrow-Regular.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Black.ttf" />
	  <None Remove="Resources\Fonts\Roboto-BlackItalic.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Bold.ttf" />
	  <None Remove="Resources\Fonts\Roboto-BoldItalic.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Italic.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Light.ttf" />
	  <None Remove="Resources\Fonts\Roboto-LightItalic.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Medium.ttf" />
	  <None Remove="Resources\Fonts\Roboto-MediumItalic.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Regular.ttf" />
	  <None Remove="Resources\Fonts\Roboto-Thin.ttf" />
	  <None Remove="Resources\Fonts\Roboto-ThinItalic.ttf" />
	  <None Remove="Resources\Images\account.svg" />
	  <None Remove="Resources\Images\arrowback.svg" />
	  <None Remove="Resources\Images\arrow_back.png" />
	  <None Remove="Resources\Images\bigstar.png" />
	  <None Remove="Resources\Images\console.svg" />
	  <None Remove="Resources\Images\download_blue.png" />
	  <None Remove="Resources\Images\home.svg" />
	  <None Remove="Resources\Images\LOGO.png" />
	  <None Remove="Resources\Images\plus.svg" />
	  <None Remove="Resources\Images\shieldperson.svg" />
	  <None Remove="Resources\Images\starrating.svg" />
	  <None Remove="Resources\Images\store.svg" />
	  <None Remove="Resources\Images\trophy.svg" />
	</ItemGroup>

	<ItemGroup>
		<PackageReference Include="CommunityToolkit.Maui" Version="5.1.0" />
		<PackageReference Include="Microsoft.Extensions.Logging.Debug" Version="7.0.0" />
	</ItemGroup>

	<ItemGroup>
	  <Compile Update="Views\PageJeu.xaml.cs">
	    <DependentUpon>PageJeu.xaml</DependentUpon>
	  </Compile>
	  <Compile Update="Views\PageInscription.xaml.cs">
	    <DependentUpon>PageInscription.xaml</DependentUpon>
	  </Compile>
	</ItemGroup>

	<ItemGroup>
	  <MauiXaml Update="Composants\Notes.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\Composants\BoutonVoir.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageJeu.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageInscription.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageAcceuil.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageConnexion.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageParcourir.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	  <MauiXaml Update="Views\PageProfil.xaml">
	    <Generator>MSBuild:Compile</Generator>
	  </MauiXaml>
	</ItemGroup>

</Project>
